package com.google.ads;

import android.app.Activity;
import android.content.ActivityNotFoundException;
import android.content.Intent;
import android.os.Bundle;
import android.os.SystemClock;
import android.text.TextUtils;
import android.util.TypedValue;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewParent;
import android.view.Window;
import android.widget.FrameLayout;
import android.widget.ImageButton;
import android.widget.RelativeLayout;
import com.google.ads.b.c;
import com.google.ads.b.e;
import com.google.ads.b.h;
import com.google.ads.b.w;
import com.google.ads.b.x;
import com.google.ads.util.AdUtil;
import com.google.ads.util.g;
import org.json.JSONArray;
import org.json.JSONException;
import org.json.JSONObject;

public class AdActivity extends Activity implements View.OnClickListener {

    /* renamed from: a  reason: collision with root package name */
    private static final h f58a = ((h) h.f114a.a());

    /* renamed from: b  reason: collision with root package name */
    private static final Object f59b = new Object();
    private static AdActivity c = null;
    private static w d = null;
    private static AdActivity e = null;
    private static AdActivity f = null;
    private static final b g = new b();
    private e h;
    private FrameLayout i;
    private int j;
    private ViewGroup k = null;
    private boolean l;
    private long m;
    private RelativeLayout n;
    private AdActivity o = null;
    private boolean p;
    private boolean q;
    private boolean r;
    private boolean s;
    private c t;

    private void a(e eVar, boolean z, int i2, boolean z2, boolean z3) {
        requestWindowFeature(1);
        Window window = getWindow();
        window.setFlags(1024, 1024);
        if (AdUtil.f200a >= 11) {
            if (this.r) {
                g.a("Enabling hardware acceleration on the AdActivity window.");
                window.setFlags(16777216, 16777216);
            } else {
                g.a("Disabling hardware acceleration on the AdActivity WebView.");
                eVar.g();
            }
        }
        ViewParent parent = eVar.getParent();
        if (parent != null) {
            if (!z2) {
                a("Interstitial created with an AdWebView that has a parent.");
                return;
            } else if (parent instanceof ViewGroup) {
                this.k = (ViewGroup) parent;
                this.k.removeView(eVar);
            } else {
                a("MRAID banner was not a child of a ViewGroup.");
                return;
            }
        }
        if (eVar.i() != null) {
            a("Interstitial created with an AdWebView that is already in use by another AdActivity.");
            return;
        }
        setRequestedOrientation(i2);
        eVar.a(this);
        this.j = (int) TypedValue.applyDimension(1, (float) (z2 ? 50 : 32), getResources().getDisplayMetrics());
        this.i = new FrameLayout(getApplicationContext());
        this.i.setMinimumWidth(this.j);
        this.i.setMinimumHeight(this.j);
        this.i.setOnClickListener(this);
        a(z3);
        FrameLayout frameLayout = this.i;
        this.n.addView(eVar, -1, -1);
        RelativeLayout.LayoutParams layoutParams = new RelativeLayout.LayoutParams(-2, -2);
        if (z2) {
            layoutParams.addRule(10);
            layoutParams.addRule(11);
        } else {
            layoutParams.addRule(10);
            layoutParams.addRule(9);
        }
        this.n.addView(frameLayout, layoutParams);
        this.n.setKeepScreenOn(true);
        setContentView(this.n);
        this.n.getRootView().setBackgroundColor(-16777216);
        if (z) {
            h hVar = f58a;
            h.a(eVar);
        }
    }

    public static void a(w wVar, x xVar) {
        b bVar = g;
        b.a(wVar, xVar);
    }

    private void a(String str) {
        g.b(str);
        finish();
    }

    public static boolean b() {
        b bVar = g;
        return b.a();
    }

    private static RelativeLayout.LayoutParams c(int i2, int i3, int i4, int i5) {
        RelativeLayout.LayoutParams layoutParams = new RelativeLayout.LayoutParams(i4, i5);
        layoutParams.setMargins(i2, i3, 0, 0);
        layoutParams.addRule(10);
        layoutParams.addRule(9);
        return layoutParams;
    }

    public static boolean c() {
        b bVar = g;
        return b.b();
    }

    private void h() {
        if (!this.l) {
            if (this.h != null) {
                h hVar = f58a;
                h.b(this.h);
                this.h.a((AdActivity) null);
                this.h.d(false);
                if (!(this.q || this.n == null || this.k == null)) {
                    if (this.r && !this.s) {
                        g.a("Disabling hardware acceleration on collapsing MRAID WebView.");
                        this.h.g();
                    } else if (!this.r && this.s) {
                        g.a("Re-enabling hardware acceleration on collapsing MRAID WebView.");
                        this.h.h();
                    }
                    this.n.removeView(this.h);
                    this.k.addView(this.h);
                }
            }
            if (this.t != null) {
                this.t.d();
                this.t = null;
            }
            if (this == c) {
                c = null;
            }
            f = this.o;
            synchronized (f59b) {
                if (!(d == null || !this.q || this.h == null)) {
                    if (this.h == d.j()) {
                        d.a();
                    }
                    this.h.stopLoading();
                }
                if (this == e) {
                    e = null;
                    if (d != null) {
                        d.r();
                        d = null;
                    } else {
                        g.e("currentAdManager is null while trying to destroy AdActivity.");
                    }
                }
            }
            this.l = true;
            g.a("AdActivity is closing.");
        }
    }

    public final c a() {
        return this.t;
    }

    public final void a(int i2, int i3, int i4, int i5) {
        if (this.t != null) {
            this.t.setLayoutParams(c(i2, i3, i4, i5));
            this.t.requestLayout();
        }
    }

    public final void a(boolean z) {
        if (this.i != null) {
            this.i.removeAllViews();
            if (!z) {
                ImageButton imageButton = new ImageButton(this);
                imageButton.setImageResource(17301527);
                imageButton.setBackgroundColor(0);
                imageButton.setOnClickListener(this);
                imageButton.setPadding(0, 0, 0, 0);
                this.i.addView(imageButton, new FrameLayout.LayoutParams(this.j, this.j, 17));
            }
        }
    }

    public final void b(int i2, int i3, int i4, int i5) {
        if (this.t == null) {
            this.t = new c(this, this.h);
            this.n.addView(this.t, 0, c(i2, i3, i4, i5));
            synchronized (f59b) {
                if (d == null) {
                    g.e("currentAdManager was null while trying to get the opening AdWebView.");
                } else {
                    d.k().b();
                }
            }
        }
    }

    public void onClick(View view) {
        finish();
    }

    /* JADX WARNING: Code restructure failed: missing block: B:115:0x0282, code lost:
        r13.n = new android.widget.RelativeLayout(getApplicationContext());
     */
    /* JADX WARNING: Code restructure failed: missing block: B:116:0x0293, code lost:
        if (r0.equals("webapp") == false) goto L_0x0333;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:117:0x0295, code lost:
        r13.h = new com.google.ads.b.e(r11.g(), null);
        r1 = com.google.ads.b.h.d;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:118:0x02a2, code lost:
        if (r6 != false) goto L_0x0304;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:119:0x02a4, code lost:
        r0 = true;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:120:0x02a5, code lost:
        r0 = com.google.ads.b.ad.a(r11, r1, true, r0);
        r0.d();
     */
    /* JADX WARNING: Code restructure failed: missing block: B:121:0x02ac, code lost:
        if (r6 == false) goto L_0x02b1;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:122:0x02ae, code lost:
        r0.a();
     */
    /* JADX WARNING: Code restructure failed: missing block: B:123:0x02b1, code lost:
        r13.h.setWebViewClient(r0);
        r0 = (java.lang.String) r7.get("u");
        r1 = (java.lang.String) r7.get("baseurl");
        r2 = (java.lang.String) r7.get("html");
     */
    /* JADX WARNING: Code restructure failed: missing block: B:124:0x02ce, code lost:
        if (r0 == null) goto L_0x0306;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:125:0x02d0, code lost:
        r13.h.loadUrl(r0);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:126:0x02d5, code lost:
        r0 = (java.lang.String) r7.get("o");
     */
    /* JADX WARNING: Code restructure failed: missing block: B:127:0x02e3, code lost:
        if ("p".equals(r0) == false) goto L_0x0319;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:128:0x02e5, code lost:
        r3 = com.google.ads.util.AdUtil.b();
     */
    /* JADX WARNING: Code restructure failed: missing block: B:129:0x02e9, code lost:
        r1 = r13.h;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:130:0x02eb, code lost:
        if (r7 == null) goto L_0x0331;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:132:0x02f9, code lost:
        if ("1".equals(r7.get("custom_close")) == false) goto L_0x0331;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:133:0x02fb, code lost:
        r5 = true;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:134:0x02fc, code lost:
        a(r1, false, r3, r6, r5);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:135:0x0304, code lost:
        r0 = false;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:136:0x0306, code lost:
        if (r2 == null) goto L_0x0312;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:137:0x0308, code lost:
        r13.h.loadDataWithBaseURL(r1, r2, "text/html", "utf-8", null);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:138:0x0312, code lost:
        a("Could not get the URL or HTML parameter to show a web app.");
     */
    /* JADX WARNING: Code restructure failed: missing block: B:140:0x031f, code lost:
        if ("l".equals(r0) == false) goto L_0x0326;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:141:0x0321, code lost:
        r3 = com.google.ads.util.AdUtil.a();
     */
    /* JADX WARNING: Code restructure failed: missing block: B:143:0x0328, code lost:
        if (r13 != com.google.ads.AdActivity.e) goto L_0x032f;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:144:0x032a, code lost:
        r3 = r11.m();
     */
    /* JADX WARNING: Code restructure failed: missing block: B:145:0x032f, code lost:
        r3 = -1;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:146:0x0331, code lost:
        r5 = false;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:148:0x0339, code lost:
        if (r0.equals("interstitial") != false) goto L_0x0343;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:150:0x0341, code lost:
        if (r0.equals("expand") == false) goto L_0x0392;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:151:0x0343, code lost:
        r13.h = r11.j();
        r3 = r11.m();
     */
    /* JADX WARNING: Code restructure failed: missing block: B:152:0x0353, code lost:
        if (r0.equals("expand") == false) goto L_0x038a;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:153:0x0355, code lost:
        r13.h.d(true);
        r13.q = false;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:154:0x035c, code lost:
        if (r7 == null) goto L_0x036d;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:156:0x036a, code lost:
        if ("1".equals(r7.get("custom_close")) == false) goto L_0x036d;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:157:0x036c, code lost:
        r9 = true;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:159:0x036f, code lost:
        if (r13.r == false) goto L_0x03ac;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:161:0x0373, code lost:
        if (r13.s != false) goto L_0x03ac;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:162:0x0375, code lost:
        com.google.ads.util.g.a("Re-enabling hardware acceleration on expanding MRAID WebView.");
        r13.h.h();
        r5 = r9;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:163:0x0380, code lost:
        a(r13.h, true, r3, r6, r5);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:164:0x038a, code lost:
        r5 = r13.h.j();
     */
    /* JADX WARNING: Code restructure failed: missing block: B:165:0x0392, code lost:
        a("Unknown AdOpener, <action: " + r0 + ">");
     */
    /* JADX WARNING: Code restructure failed: missing block: B:166:0x03ac, code lost:
        r5 = r9;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:174:?, code lost:
        return;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:175:?, code lost:
        return;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:178:?, code lost:
        return;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:179:?, code lost:
        return;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:180:?, code lost:
        return;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:181:?, code lost:
        return;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:30:0x0088, code lost:
        r13.n = null;
        r13.p = false;
        r13.q = true;
        r13.t = null;
        r0 = getIntent().getBundleExtra("com.google.ads.AdOpener");
     */
    /* JADX WARNING: Code restructure failed: missing block: B:31:0x009a, code lost:
        if (r0 != null) goto L_0x00b0;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:32:0x009c, code lost:
        a("Could not get the Bundle used to create AdActivity.");
     */
    /* JADX WARNING: Code restructure failed: missing block: B:40:0x00b0, code lost:
        r1 = new com.google.ads.b.x(r0);
        r0 = r1.b();
        r7 = r1.c();
     */
    /* JADX WARNING: Code restructure failed: missing block: B:41:0x00c3, code lost:
        if (r0.equals("intent") == false) goto L_0x0282;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:42:0x00c5, code lost:
        if (r7 != null) goto L_0x00cd;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:43:0x00c7, code lost:
        a("Could not get the paramMap in launchIntent()");
     */
    /* JADX WARNING: Code restructure failed: missing block: B:44:0x00cd, code lost:
        r12 = new android.content.Intent();
        r0 = (java.lang.String) r7.get("u");
        r1 = (java.lang.String) r7.get("m");
        r2 = (java.lang.String) r7.get("i");
        r3 = (java.lang.String) r7.get("p");
        r4 = (java.lang.String) r7.get("c");
        r5 = (java.lang.String) r7.get("f");
        r6 = (java.lang.String) r7.get("e");
     */
    /* JADX WARNING: Code restructure failed: missing block: B:45:0x010e, code lost:
        if (android.text.TextUtils.isEmpty(r0) != false) goto L_0x01bd;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:46:0x0110, code lost:
        r7 = 1;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:48:0x0115, code lost:
        if (android.text.TextUtils.isEmpty(r1) != false) goto L_0x01c0;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:49:0x0117, code lost:
        r10 = 1;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:50:0x0118, code lost:
        if (r7 == null) goto L_0x01c3;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:51:0x011a, code lost:
        if (r10 == null) goto L_0x01c3;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:52:0x011c, code lost:
        r12.setDataAndType(android.net.Uri.parse(r0), r1);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:54:0x0127, code lost:
        if (android.text.TextUtils.isEmpty(r2) != false) goto L_0x01d5;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:55:0x0129, code lost:
        r12.setAction(r2);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:57:0x0130, code lost:
        if (android.text.TextUtils.isEmpty(r3) != false) goto L_0x013a;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:59:0x0135, code lost:
        if (com.google.ads.util.AdUtil.f200a < 4) goto L_0x013a;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:60:0x0137, code lost:
        r12.setPackage(r3);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:62:0x013e, code lost:
        if (android.text.TextUtils.isEmpty(r4) != false) goto L_0x0163;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:63:0x0140, code lost:
        r0 = r4.split("/");
     */
    /* JADX WARNING: Code restructure failed: missing block: B:64:0x0148, code lost:
        if (r0.length >= 2) goto L_0x015c;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:65:0x014a, code lost:
        com.google.ads.util.g.e("Warning: Could not parse component name from open GMSG: " + r4);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:66:0x015c, code lost:
        r12.setClassName(r0[0], r0[1]);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:68:0x0167, code lost:
        if (android.text.TextUtils.isEmpty(r5) != false) goto L_0x0170;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:70:?, code lost:
        r0 = java.lang.Integer.parseInt(r5);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:82:0x01bd, code lost:
        r7 = null;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:83:0x01c0, code lost:
        r10 = null;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:84:0x01c3, code lost:
        if (r7 == null) goto L_0x01ce;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:85:0x01c5, code lost:
        r12.setData(android.net.Uri.parse(r0));
     */
    /* JADX WARNING: Code restructure failed: missing block: B:86:0x01ce, code lost:
        if (r10 == null) goto L_0x0123;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:87:0x01d0, code lost:
        r12.setType(r1);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:88:0x01d5, code lost:
        if (r7 == null) goto L_0x012c;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:89:0x01d7, code lost:
        r12.setAction("android.intent.action.VIEW");
     */
    /* JADX WARNING: Code restructure failed: missing block: B:91:0x01df, code lost:
        com.google.ads.util.g.e("Warning: Could not parse flags from open GMSG: " + r5);
        r0 = 0;
     */
    /* JADX WARNING: Removed duplicated region for block: B:102:0x0242 A[SYNTHETIC, Splitter:B:102:0x0242] */
    /* JADX WARNING: Removed duplicated region for block: B:97:0x021a  */
    public void onCreate(Bundle bundle) {
        w wVar;
        Intent intent;
        String str;
        int i2;
        boolean z = false;
        z = false;
        super.onCreate(bundle);
        this.l = false;
        synchronized (f59b) {
            if (d != null) {
                wVar = d;
                if (e == null) {
                    e = this;
                    wVar.s();
                }
                if (this.o == null && f != null) {
                    this.o = f;
                }
                f = this;
                if ((wVar.g().a() && e == this) || (wVar.g().b() && this.o == e)) {
                    wVar.v();
                }
                boolean o2 = wVar.o();
                br brVar = (br) ((bq) wVar.g().d.a()).f164b.a();
                this.s = AdUtil.f200a >= ((Integer) brVar.f166b.a()).intValue();
                this.r = AdUtil.f200a >= ((Integer) brVar.d.a()).intValue();
            } else {
                a("Could not get currentAdManager.");
                return;
            }
        }
        intent.addFlags(i2);
        if (!TextUtils.isEmpty(str)) {
            try {
                JSONObject jSONObject = new JSONObject(str);
                JSONArray names = jSONObject.names();
                for (int i3 = 0; i3 < names.length(); i3++) {
                    String string = names.getString(i3);
                    JSONObject jSONObject2 = jSONObject.getJSONObject(string);
                    int i4 = jSONObject2.getInt("t");
                    switch (i4) {
                        case 1:
                            intent.putExtra(string, jSONObject2.getBoolean("v"));
                            break;
                        case 2:
                            intent.putExtra(string, jSONObject2.getDouble("v"));
                            break;
                        case 3:
                            intent.putExtra(string, jSONObject2.getInt("v"));
                            break;
                        case 4:
                            intent.putExtra(string, jSONObject2.getLong("v"));
                            break;
                        case 5:
                            intent.putExtra(string, jSONObject2.getString("v"));
                            break;
                        default:
                            g.e("Warning: Unknown type in extras from open GMSG: " + string + " (type: " + i4 + ")");
                            break;
                    }
                }
            } catch (JSONException e2) {
                g.e("Warning: Could not parse extras from open GMSG: " + str);
            }
        }
        if (!intent.filterEquals(new Intent())) {
            a("Tried to launch empty intent.");
            return;
        }
        try {
            g.a("Launching an intent from AdActivity: " + intent);
            startActivity(intent);
            this.h = null;
            this.m = SystemClock.elapsedRealtime();
            this.p = true;
            synchronized (f59b) {
                if (c == null) {
                    c = this;
                    wVar.t();
                }
            }
            return;
        } catch (ActivityNotFoundException e3) {
            g.b(e3.getMessage(), e3);
            finish();
            return;
        }
        if (!intent.filterEquals(new Intent())) {
        }
    }

    public void onDestroy() {
        if (this.n != null) {
            this.n.removeAllViews();
        }
        if (isFinishing()) {
            h();
            if (this.q && this.h != null) {
                this.h.stopLoading();
                this.h.destroy();
                this.h = null;
            }
        }
        super.onDestroy();
    }

    public void onPause() {
        if (isFinishing()) {
            h();
        }
        super.onPause();
    }

    public void onWindowFocusChanged(boolean z) {
        if (this.p && z && SystemClock.elapsedRealtime() - this.m > 250) {
            g.d("Launcher AdActivity got focus and is closing.");
            finish();
        }
        super.onWindowFocusChanged(z);
    }
}
